Subject: RE: [Simple] Chat sessions

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 26 Feb 2004 09:31:25 -0500

...snip
> If I understand correctly, the CNAME is similar to a display 
> name of a 
> To/From in message/cpim? We're not requiring display names to 
> be unique 
> either, but the URI part needs to be unique. In a voice 
> conference, you 
> won't direct RTP packets towards a particular CNAME, but in MSRP, you 
> need to be able to distinguish which "BeerLover" you want the private 
> message to go to.
This seems to be creating too much confusion.  You are requesting
anonymity, which is a concept we understand, and also asking for
a handle/nickname so that you can be identified as an individual,
without your identity.  I don't see what any SIP call should not
be afforded the same service.

...snip
> The functionality that we want is that a user is able to join the 
> conference using its asserted ID. But it wants to be seen in the 
> conference as someone else - lets call it a nickname - if the 
> conference 
> policy allows this. This other ID would be sent out in the 
> conference-info, and also in the message/cpim From field.
Again, any conference should have this capability, not just IM.
You might ask that any CALL have this capability; it's not clear to me
that most users/systems will accept anonymous calls, but for
normal identification purposes, a nickname rather than a display
name may be more appropriate.

> 
> Surely I can put my asserted ID + a display name in both of these 
> places, but that's really not a nickname with anonymity 
> anymore (even if 
> the ID is in fact an alias). In our draft, a nickname is really a 
> temporary ID that doesn't reveal any real-life ID. This is 
> made explicit 
> using the .invalud TLD. Every client will know the URI is useless 
> outside the conference.
I don't have a real problem with this aspect; it might be generalizable
beyond conferencing; consider a service that has a closed user group
where you will accept any calls that are authenticated as being within
the user group, but the actual caller is anonymous to you.  So the 
sender puts his actual identity in the call, which is sent to a B2BUA
that replaces that identity with an anonymous one, which is forwarded
to the destination.  Having a nickname may be useful.

> 
> And I think this is where the confusion lies - for clarity's sake, we 
> should probably denote a 'nickname' as an identity other than the ID 
> used to join a conference; a temporary nickname would be one that is 
> only valid inside a specific conference (uses the .invalid).
> 
> > I also agree with comments raised by Brian and others that 
> requirements 
> > for management of nicknames - creation, deletion, and scope 
> - are not 
> > tied to IM. If we need that functionality, we should 
> introduce them as 
> > requirements in the general conferencing work. Additionally, the 
> > mechanism for this management should not be IM specific. 
> Seems to me 
> > like CPCP would be the ideal way to set them up. I believe 
> they would be 
> > useful for general conferencing as has been pointed out. 
> The only thing 
> > thats really IM specific is how such information is conveyed in the 
> > message; usage of From in cpim seems reasonable to me.
> 
> I agree. It seems nicknames are generic enough to apply to all 
> conferences. I don't know if CPCP is the correct tool for 
> management of 
> nicknames. In fact, couln't this be set in the SDP at the time a 
> participant is joining a conference? Something like:
> 
> a=nickname:Darth Vader <im:[email-masked]>
> 
> or
> 
> a=nickname:Darth Vader <sip:[email-masked]>
> 
> This nickname would be used in conference-info instead of the 
> authenticated ID, used as CNAME in RTCP packets, or From/To in 
> message/CPIM, or even a display name in a video stream.
I'm not really thrilled with either CPCP or SDP, as it really is more
of a SIP header thing to me. CPCP means the mechanism is not
available to normal calls.  SDP doesn't have that problem,
but introduces another URI that I don't see as appropriate.

> 
> > One other thing in the draft that I would like to point 
> out, is that 
> > there is a feature that allows for private conversations. 
> This is done 
> > by allowing a user to address an IM to one or more group 
> participants, 
> > using To and CC CPIM fields. To me, this is also another conference 
> > function that is not specific to IM. In fact, I dont see 
> how it differs 
> > from sidebars.
> 
> The main difference is as I see it, that to allow the same user 
> experience as that of private messages, one would have to by default 
> have a full mesh of one-to-one sidebars set up (plus the 
> combinatorics 
> involved when sending a private message to many).
I think the sidebar is established, one or more messages are sent,
and the sidebar is taken down.  To emulate current systems,
taking down the sidebar is probably a consequence of closing the
window, or just a timeout on one side.

> 
> I think private messages are a media feature, and it can actually be 
> easily combined with sidebars. I could imagine sending 
> private messages 
> within a conference sidebar as well...
I don't agree, you normally would be able to send an IM to all sidebar
participants.  If you want to send a message to a subset of the sidebar,
its the same as if you wanted to talk to a subset of the sidebar, which
is a sidebar in a sidebar.  Conceptually simple, although I'm not sure
we get that in the first release.

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: "Niemi Aki (Nokia-M/Espoo)" <[email-masked]>
Date: Thu, 26 Feb 2004 17:57:27 +0200

> be afforded the same service.

In SIP we have potentially many sources for IDs: From, digest username,
P-Asserted-Identity, Asserted Identity to name a few. Now which one is
going to be put into conference-info by default?

It could be for example the P-Asserted-Id, in which case there's no
anonymity. By using a nickname, you'd request not to be known as the
P-Asserted-Id, but something else instead, using a nickname.

I'm not talking about anonynymity in general (the focus would still know
the real asserted id), just within a particular conference.

> name may be more appropriate.

I'm confused, what do you mean by 'nickname' and 'display name' here?

> to the destination.  Having a nickname may be useful.

That's pretty much what's been proposed here - except that it's not a
B2BUA, it's the conference server that does the anonymizing (or
nicknaming) for a particular conference.

<snip />
> but introduces another URI that I don't see as appropriate.

I don't really care either what the mechanism is to set the nickname, as
long as it's well defined, and includes operations to set the nickname,
as well as changing it.

<snip />

> window, or just a timeout on one side.

I don't argue over whether sidebars are useful or not - they are. 
Spawning a new window for when INVITEing to a sidebar also sounds 
reasonable; so does closing that window when sending a BYE.

But private messages in many chat applications don't require to be 
wrapped in a sidebar-like context. They are simply marked differently in 
some chat window, e.g.,

              [Darth Vader] Hi guys!
    =private= [Luke S.] Here we go again...
              [Darth Vader] I got myself a new light saber!
              [Luke S.] How nice...

Sidebars for the above feature seem like a huge overkill, IMHO.

> we get that in the first release.

This is getting way too complicated. And what if this is a video+im
conference, how would this spawning of sidebars work if they have to be
media-specific?

Private messages are really easy to do using MSRP and message/cpim. That
is a clear advantage over sidebars.

Cheers,
Aki

---

From: "Niemi Aki (Nokia-M/Espoo)" <[email-masked]>
Date: Thu, 26 Feb 2004 17:57:27 +0200

<snip />

<snip />

              [Darth Vader] Hi guys!

Cheers,
Aki

---

From: Cullen Jennings <[email-masked]>
Date: Fri, 27 Feb 2004 16:10:50 +0900

I might be missing the boat here but let me ask a question that separates
stuff. 

Is there a requirement to be able to change you nickname on every message or
would it be acceptable to set up a new session if you want to change you
nickname?

It seems that the name could be set when you set up the session. If this is
the case, then the display name of the From is very clear you can put any
alias you want in it. The chat controller can tell you that name is not
acceptable thought, in practice, there is no fundamental reason you can't
have people with the same nickname and just have the conf server append
something to make them unique.

RTP/RTCP had different requirements for this because you could join a
multicast session with effectively no signaling with all the participants so
there was a need to continuously and adaptively flow the name information as
the conference changed. Since this this centralized conferencing, you can
get the names from the centralized thing.

Say two people joined with nick name of anon. The chat mixer may identify
them as anon1 and anon2 in the session and you can send a private message to
one of them by sending to location for anon2 (which would be an anonymous
perhaps on the same box as the mixing was happening on).

Cullen